aboutsummaryrefslogtreecommitdiffstats
path: root/main/postgresql-bdr/postgresql-bdr.pre-upgrade
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-05-11 13:09:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-05-11 13:09:23 +0000
commit8e21b4e2b7fe9d38985cc9fab266808083aa4158 (patch)
treeed1c366897dca5024c13401c82c213db68b65561 /main/postgresql-bdr/postgresql-bdr.pre-upgrade
parent367baf47c1effeb4fc05dd231d4b427da9f3f14d (diff)
downloadaports-8e21b4e2b7fe9d38985cc9fab266808083aa4158.tar.bz2
aports-8e21b4e2b7fe9d38985cc9fab266808083aa4158.tar.xz
main/postgresql-bdr*: move from testing
the conflict should be resolved now
Diffstat (limited to 'main/postgresql-bdr/postgresql-bdr.pre-upgrade')
-rw-r--r--main/postgresql-bdr/postgresql-bdr.pre-upgrade32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/postgresql-bdr/postgresql-bdr.pre-upgrade b/main/postgresql-bdr/postgresql-bdr.pre-upgrade
new file mode 100644
index 0000000000..6116252c19
--- /dev/null
+++ b/main/postgresql-bdr/postgresql-bdr.pre-upgrade
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+new="$1"
+old="$2"
+
+pgver=${new%.*}
+compare=$(apk version -t "$old" $pgver)
+
+# check if we upgrade from earlier than $pgver and if it is running
+if [ "$compare" != "<" ] || ! /etc/init.d/postgresql --quiet status; then
+ exit 0
+fi
+
+if [ -f /etc/conf.d/postgresql ]; then
+ . /etc/conf.d/postgresql
+fi
+
+cat <<EOF
+* You are upgrading to postgres $pgver wich is not compatible with the running
+* See: http://www.postgresql.org/docs/$pgver/static/upgrading.html
+*
+* The corresponding steps for Alpine Linux is:
+*
+* pg_dumpall -U ${PGUSER:-postgres} > dumpfile
+* /etc/init.d/postgresql stop
+* apk add -u postgresql
+* /etc/init.d/postgresql setup
+* /etc/init.d/postgresql start
+* psql -U ${PGUSER:-postgres} -f dumpfile
+*
+EOF
+exit 1